import org.junit.Test;

import java.util.List;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

public class AssignSampleTest {
    private void initCores(Processor processor) {
        processor.addCore(new Core(1, List.of(Type.IO, Type.NETWORK)));
        processor.addCore(new Core(2, List.of(Type.IO)));
        processor.addCore(new Core(3, List.of(Type.STORAGE)));
    }

    @Test
    public void testInitCores() {
        Processor processor = new Processor();
        initCores(processor);

        assertEquals(3, processor.getCores().size());
        assertEquals(3, processor.getCores().get(2).getId());
    }

    @Test
    public void testSetStrategy() {
        Processor processor = new Processor();
        processor.setSelectStrategy(new LeastLoadStrategy());

        assertTrue(processor.getSelectStrategy() instanceof LeastLoadStrategy);
    }
}
